summaryrefslogtreecommitdiff
path: root/libre
diff options
context:
space:
mode:
Diffstat (limited to 'libre')
-rw-r--r--libre/bfgminer-libre/PKGBUILD41
-rw-r--r--libre/bfgminer-libre/change-kernel-path.patch98
-rw-r--r--libre/bfgminer-libre/remove-dangerous-rpath.patch11
-rw-r--r--libre/bumblebee-libre/PKGBUILD12
-rw-r--r--libre/cgminer-libre/PKGBUILD8
-rw-r--r--libre/iceape-l10n/PKGBUILD6
-rw-r--r--libre/iceape-libre/PKGBUILD40
-rw-r--r--libre/iceape-libre/mozconfig37
-rw-r--r--libre/icecat/PKGBUILD114
-rw-r--r--libre/icecat/mozconfig3
-rw-r--r--libre/icecat/mozconfig.pgo4
-rw-r--r--libre/icedove-l10n/PKGBUILD6
-rw-r--r--libre/icedove-libre/PKGBUILD26
-rw-r--r--libre/icedove-libre/mozconfig33
-rw-r--r--libre/iceweasel-l10n/PKGBUILD10
-rw-r--r--libre/iceweasel-libre/PKGBUILD84
-rw-r--r--libre/iceweasel-libre/mozconfig.pgo4
-rw-r--r--libre/kdepim-libre/PKGBUILD9
-rw-r--r--libre/kdepim-libre/fix-completion.patch182
-rw-r--r--libre/luxrender-libre/PKGBUILD2
20 files changed, 531 insertions, 199 deletions
diff --git a/libre/bfgminer-libre/PKGBUILD b/libre/bfgminer-libre/PKGBUILD
new file mode 100644
index 000000000..6c6e19ef4
--- /dev/null
+++ b/libre/bfgminer-libre/PKGBUILD
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer: Timothy Redaelli <timothy.redaelli@gmail.com>
+# Contributor: Andy Weidenbaum <archbaum@gmail.com>
+
+_pkgname=bfgminer
+pkgname=bfgminer-libre
+pkgver=3.0.0
+pkgrel=1
+pkgdesc="Bitcoin miner featuring overclocking, monitoring, fan speed control and remote management. For FPGA/GPU/CPU Bitcoin mining, without nonfree OpenCL recommendation."
+arch=('i686' 'x86_64' 'mips64el')
+depends=('curl' 'jansson')
+replaces=$_pkgname
+conflicts=$_pkgname
+provides=$_pkgname=$pkgver
+url='https://bitcointalk.org/index.php?topic=168174.0'
+license=('GPL3')
+options=(!libtool)
+source=(http://luke.dashjr.org/programs/bitcoin/files/$_pkgname/$pkgver/$_pkgname-$pkgver.tbz2
+ change-kernel-path.patch
+ remove-dangerous-rpath.patch)
+sha256sums=('86f7f977ed57b8d61c728f88a3e5962aa1df0723d667c45b1e1bfa5152292400'
+ 'a551f73a430809a9b13bb535a503d24f8fd6d35a07bc579b5616d270a1bbf369'
+ '2c6d09a5e567f5099c9b117415013bf28e7b7aa75c436515d28bc7640f905db2')
+
+[[ "$CARCH" == "x86_64" ]] && makedepends+=('yasm')
+
+build() {
+ cd "$srcdir"/$_pkgname-$pkgver
+
+ patch -p0 < "${srcdir}"/change-kernel-path.patch
+ patch -p0 < "${srcdir}"/remove-dangerous-rpath.patch
+ autoreconf -fi
+ ./configure --prefix=/usr --enable-cpumining --enable-scrypt
+ make
+}
+
+package() {
+ cd "$srcdir"/$_pkgname-$pkgver
+
+ make DESTDIR="$pkgdir" install
+}
diff --git a/libre/bfgminer-libre/change-kernel-path.patch b/libre/bfgminer-libre/change-kernel-path.patch
new file mode 100644
index 000000000..9dd124ab4
--- /dev/null
+++ b/libre/bfgminer-libre/change-kernel-path.patch
@@ -0,0 +1,98 @@
+--- /dev/null
++++ m4/as-ac-expand.m4
+@@ -0,0 +1,49 @@
++dnl as-ac-expand.m4 0.2.1
++dnl autostars m4 macro for expanding directories using configure's prefix
++dnl thomas@apestaart.org
++
++dnl AS_AC_EXPAND(VAR, CONFIGURE_VAR)
++dnl example
++dnl AS_AC_EXPAND(SYSCONFDIR, $sysconfdir)
++dnl will set SYSCONFDIR to /usr/local/etc if prefix=/usr/local
++dnl Note: when using $prefix or $exec_prefix, avoid it expanding to NONE
++dnl by calling it like this:
++dnl AS_AC_EXPAND(PYTHONLIBDIR, "\${exec_prefix}/lib/python$PYVER/site-packages")
++
++AC_DEFUN([AS_AC_EXPAND],
++[
++ EXP_VAR=[$1]
++ FROM_VAR=[$2]
++
++ dnl echo DEBUG: expand FROM_VAR $FROM_VAR
++
++ dnl first expand prefix and exec_prefix if necessary
++ prefix_save=$prefix
++ exec_prefix_save=$exec_prefix
++
++ dnl if no prefix given, then use /usr/local, the default prefix
++ if test "x$prefix" = "xNONE"; then
++ prefix="$ac_default_prefix"
++ fi
++ dnl if no exec_prefix given, then use prefix
++ if test "x$exec_prefix" = "xNONE"; then
++ exec_prefix=$prefix
++ fi
++
++ full_var="$FROM_VAR"
++ dnl loop until it doesn't change anymore
++ while true; do
++ dnl echo DEBUG: full_var: $full_var
++ new_full_var="`eval echo $full_var`"
++ if test "x$new_full_var" = "x$full_var"; then break; fi
++ full_var=$new_full_var
++ done
++
++ dnl clean up
++ full_var=$new_full_var
++ AC_SUBST([$1], "$full_var")
++
++ dnl restore prefix and exec_prefix
++ prefix=$prefix_save
++ exec_prefix=$exec_prefix_save
++])
+--- configure.ac.orig
++++ configure.ac
+@@ -655,7 +655,8 @@
+ prefix=/usr/local
+ fi
+
+-AC_DEFINE_UNQUOTED([CGMINER_PREFIX], ["$prefix/bin"], [Path to bfgminer install])
++AS_AC_EXPAND(DATAROOTDIR, $datarootdir)
++AC_DEFINE_UNQUOTED([CGMINER_PREFIX], ["$DATAROOTDIR/bfgminer"], [Path to bfgminer install])
+
+ AC_DEFINE_UNQUOTED([PHATK_KERNNAME], ["phatk121016"], [Filename for phatk kernel])
+ AC_DEFINE_UNQUOTED([POCLBM_KERNNAME], ["poclbm121016"], [Filename for poclbm kernel])
+--- Makefile.am.orig
++++ Makefile.am
+@@ -13,7 +13,7 @@
+
+ bin_PROGRAMS = bfgminer
+
+-bin_SCRIPTS = *.cl
++pkgdata_SCRIPTS = *.cl
+
+ bfgminer_LDFLAGS = $(PTHREAD_FLAGS)
+ bfgminer_LDADD = $(DLOPEN_FLAGS) @LIBCURL_LIBS@ @JANSSON_LIBS@ @PTHREAD_LIBS@ \
+@@ -117,19 +117,19 @@
+
+ if HAS_MODMINER
+ bfgminer_SOURCES += driver-modminer.c
+-bitstreamsdir = $(bindir)/bitstreams
++bitstreamsdir = $(pkgdatadir)/bitstreams
+ dist_bitstreams_DATA = bitstreams/*
+ endif
+
+ if HAS_X6500
+ bfgminer_SOURCES += driver-x6500.c ft232r.c ft232r.h jtag.c jtag.h
+-bitstreamsdir = $(bindir)/bitstreams
++bitstreamsdir = $(pkgdatadir)/bitstreams
+ dist_bitstreams_DATA = bitstreams/*
+ endif
+
+ if HAS_ZTEX
+ bfgminer_SOURCES += driver-ztex.c libztex.c libztex.h
+-bitstreamsdir = $(bindir)/bitstreams
++bitstreamsdir = $(pkgdatadir)/bitstreams
+ dist_bitstreams_DATA = bitstreams/*
+ endif
+
diff --git a/libre/bfgminer-libre/remove-dangerous-rpath.patch b/libre/bfgminer-libre/remove-dangerous-rpath.patch
new file mode 100644
index 000000000..a2bcfc87b
--- /dev/null
+++ b/libre/bfgminer-libre/remove-dangerous-rpath.patch
@@ -0,0 +1,11 @@
+--- Makefile.am.orig
++++ Makefile.am
+@@ -38,7 +38,7 @@
+ if NEED_LIBBLKMAKER
+ SUBDIRS += libblkmaker
+ bfgminer_CPPFLAGS += -Ilibblkmaker
+-bfgminer_LDFLAGS += -Llibblkmaker/.libs -Wl,-rpath,libblkmaker/.libs
++bfgminer_LDFLAGS += -Llibblkmaker/.libs
+ bfgminer_LDADD += -lblkmaker_jansson-0.1 -lblkmaker-0.1
+
+ if HAVE_CYGWIN
diff --git a/libre/bumblebee-libre/PKGBUILD b/libre/bumblebee-libre/PKGBUILD
index aff067a94..8805ff9d1 100644
--- a/libre/bumblebee-libre/PKGBUILD
+++ b/libre/bumblebee-libre/PKGBUILD
@@ -4,10 +4,11 @@
_pkgname=bumblebee
pkgname=bumblebee-libre
pkgver=3.1
-pkgrel=5.1
+pkgrel=6.2
pkgdesc="NVIDIA Optimus support for GNU/Linux through VirtualGL, without nonfree nvidia driver support"
arch=('i686' 'x86_64')
-depends=('virtualgl' 'libbsd' 'glib2' 'mesa-libgl')
+depends=('virtualgl' 'glib2' 'mesa-libgl')
+makedepends=('help2man')
optdepends=('xf86-video-nouveau: nouveau driver'
'nouveau-dri: 3D acceleration features of nouveau'
'bbswitch: switch on/off discrete card'
@@ -16,9 +17,9 @@ if [ "$CARCH" = "x86_64" ]; then
optdepends[${#optdepends[@]}]='lib32-virtualgl: run 32bit applications with optirun'
optdepends[${#optdepends[@]}]='lib32-primus: faster back-end for optirun'
fi
-replaces=('bumblebee')
+replaces=('bumblebee' 'nvidia-libgl')
conflicts=('bumblebee' 'nvidia-libgl')
-provides=("bumblebee=$pkgver"'nvidia-libgl')
+provides=("bumblebee=$pkgver" 'nvidia-libgl')
url="http://www.bumblebee-project.org"
license=("GPL3")
install='bumblebee.install'
@@ -42,7 +43,8 @@ build() {
./configure \
CONF_DRIVER=nouveau \
--prefix=/usr \
- --sysconfdir=/etc
+ --sysconfdir=/etc \
+ --without-pidfile
make
}
diff --git a/libre/cgminer-libre/PKGBUILD b/libre/cgminer-libre/PKGBUILD
index e9ca63637..cc3749800 100644
--- a/libre/cgminer-libre/PKGBUILD
+++ b/libre/cgminer-libre/PKGBUILD
@@ -7,10 +7,10 @@
pkgname=cgminer-libre
_pkgflag=libre
-pkgver=2.11.3
+pkgver=2.11.4
_build=
pkgrel=1
-pkgdesc="Multi-threaded multi-pool CPU and GPU miner for bitcoin, forked from cpuminer, with free OpenCL support."
+pkgdesc="Multi-threaded multi-pool CPU and GPU miner for bitcoin, forked from cpuminer, without nonfree OpenCL recommendation"
url='http://forum.bitcoin.org/index.php?topic=28402.0'
license=('GPL3')
arch=('i686' 'x86_64' 'mips64el')
@@ -36,7 +36,7 @@ build() {
# Here you may want to use custom CFLAGS
#export CFLAGS="-O2 -march=native -mtune=native -msse2"
- ./configure --prefix=/usr --enable-cpumining --disable-adl
+ ./configure --prefix=/usr --enable-cpumining --enable-scrypt --disable-adl
make
}
@@ -52,6 +52,6 @@ package() {
install -Dm644 ${pkgname%-$_pkgflag}.conf "$pkgdir"/etc/${pkgname%-$_pkgflag}.conf
}
-md5sums=('fd2c69f943353fbc9723a5526d82c1b6'
+md5sums=('535ca85b504bd408d1eeddf4962ed685'
'fe4a243fabe24608f5c05e40f0f118f6'
'bd76fc92fedce18c59ccea2aa79cc664')
diff --git a/libre/iceape-l10n/PKGBUILD b/libre/iceape-l10n/PKGBUILD
index d8fc4308a..c9f22703d 100644
--- a/libre/iceape-l10n/PKGBUILD
+++ b/libre/iceape-l10n/PKGBUILD
@@ -23,11 +23,11 @@ pkgname=($(for lang in ${_langpacks[@]}
do echo $pkgbase-$lang | tr A-Z a-z
done))
pkgver=${_debver}.${_debrel}
-pkgrel=3
+pkgrel=4
pkgdesc="Language packs for Debian Iceape."
-arch=('i686' 'x86_64' 'mips64el')
-url="http://packages.debian.org/source/sid/iceape"
+arch=('any')
+url="http://packages.debian.org/sid/iceape"
license=('MPL' 'GPL')
depends=("iceape-libre>=$pkgver")
makedepends=('unzip' 'zip')
diff --git a/libre/iceape-libre/PKGBUILD b/libre/iceape-libre/PKGBUILD
index 1dff5d2dd..aeb4d528f 100644
--- a/libre/iceape-libre/PKGBUILD
+++ b/libre/iceape-libre/PKGBUILD
@@ -11,17 +11,17 @@ debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
_pkgname=${_debname}
pkgname=${_debname}-libre
pkgver=${_debver}.${_debrel}
-pkgrel=4
+pkgrel=6
pkgdesc="A libre version of Debian Iceape, the internet suite based on SeaMonkey."
arch=('i686' 'x86_64' 'mips64el')
license=('MPL' 'GPL' 'LGPL')
depends=('alsa-lib' 'dbus-glib' 'desktop-file-utils' 'gtk2' 'hunspell' 'libevent' 'libnotify' 'libvpx' 'libxt' 'mime-types' 'mozilla-common' 'mozilla-searchplugins' 'nss' 'sqlite' 'startup-notification')
makedepends=('unzip-libre' 'zip' 'pkg-config' 'python2' 'python2-ply' 'librsvg' 'wireless_tools' 'yasm' 'mesa' 'autoconf2.13' 'quilt')
-replaces=('mozilla' 'seamonkey')
+replaces=('seamonkey')
conflicts=('seamonkey')
provides=('seamonkey')
install=$_pkgname.install
-url="http://packages.debian.org/source/sid/${_pkgname}"
+url="http://packages.debian.org/sid/${_pkgname}"
source=("${_debrepo}/`debfile ${_debname}`_${_debver}.orig.tar.bz2"
"${_debrepo}/`debfile ${_debname}`_${_debver}-${_debrel}.debian.tar.gz"
mozconfig
@@ -31,23 +31,21 @@ source=("${_debrepo}/`debfile ${_debname}`_${_debver}.orig.tar.bz2"
libre.patch)
md5sums=('1ee82aa6ec73c13e2099b4cb6f16a908'
'1fb9c4affad5f030c4e3544aadeaeea2'
- '60ba9e8f2fafd20e41268af534a55ea7'
+ '70575e76b339fa7e17274a8ed84429fc'
'7266333e31731af8bb50c2eca8d0bd26'
'25b6fe16ac24cd5c852213e5c1adb272'
'c395d443a8c4c16880c7322bcf174743'
'e6e4a2b5b5976404d7d54c21f9d1c2c3')
-build() {
- export LDFLAGS="${LDFLAGS} -Wl,--as-needed,-rpath,/usr/lib/${_pkgname}"
- export MOZ_MAKE_FLAGS="$MAKEFLAGS"
- unset MAKEFLAGS
+prepare() {
+ export DEBIAN_BUILD="comm-release"
+ export DEBIAN_BRANDING_DIR="debian/branding"
+
+ export ICEAPE_ICONS_BRANDING="suite/branding/nightly"
export QUILT_PATCHES=debian/patches
export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
export QUILT_DIFF_ARGS='--no-timestamps'
- export DEBIAN_BUILD="comm-release"
- export DEBIAN_BRANDING_DIR="debian/branding"
- export ICEAPE_ICONS_BRANDING="suite/branding/nightly"
mv comm-esr10 "${DEBIAN_BUILD}"
mv debian "${srcdir}/${DEBIAN_BUILD}"
@@ -93,7 +91,25 @@ build() {
rsvg-convert -w 128 -h 128 -o ${DEBIAN_BRANDING_DIR}/app-icons/iceape128.png ${DEBIAN_BRANDING_DIR}/iceape_icon_plain.svg
cp "${srcdir}/mozconfig" .mozconfig
- make -j1 -f client.mk build MOZ_MAKE_FLAGS="${MAKEFLAGS}"
+
+ # configure script misdetects the preprocessor without an optimization level
+ # https://bugs.archlinux.org/task/34644
+ sed -i '/ac_cpp=/s/$CPPFLAGS/& -O2/' configure
+}
+
+build() {
+ cd "${srcdir}/${DEBIAN_BUILD}"
+
+ export LDFLAGS="${LDFLAGS} -Wl,-rpath,/usr/lib/${_pkgname}"
+ export MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ unset MAKEFLAGS
+
+ # Don't exit with error when some libs are missing which we have in
+ # system.
+ sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
+ -i suite/installer/Makefile.in
+
+ make -j1 -f client.mk build
}
package() {
diff --git a/libre/iceape-libre/mozconfig b/libre/iceape-libre/mozconfig
index 5227d77a5..3093d20ee 100644
--- a/libre/iceape-libre/mozconfig
+++ b/libre/iceape-libre/mozconfig
@@ -1,9 +1,12 @@
-mk_add_options MOZ_CO_PROJECT=suite
ac_add_options --enable-application=suite
ac_add_options --prefix=/usr
ac_add_options --libdir=/usr/lib
+# Iceape
+ac_add_options --disable-official-branding
+ac_add_options --with-branding=debian/branding
+
# System libraries
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
@@ -16,46 +19,20 @@ ac_add_options --with-system-libvpx
ac_add_options --enable-system-hunspell
ac_add_options --enable-system-sqlite
ac_add_options --enable-system-ffi
-ac_add_options --enable-system-cairo
+#ac_add_options --enable-system-cairo
ac_add_options --with-pthreads
# Features
ac_add_options --enable-startup-notification
-ac_add_options --disable-safe-browsing
ac_add_options --enable-gio
ac_add_options --disable-gnomevfs
ac_add_options --disable-crashreporter
ac_add_options --disable-updater
ac_add_options --disable-tests
-ac_add_options --disable-mochitest
ac_add_options --disable-installer
-# Optimization
-ac_add_options --enable-optimize
-
export MOZILLA_OFFICIAL=1
-mk_add_options MOZILLA_OFFICIAL=1
-# Parabola
-export BUILD_OFFICIAL=1
-mk_add_options BUILD_OFFICIAL=1
-
-# Debian
-ac_add_options --with-default-mozilla-five-home=/usr/lib/iceape
-ac_add_options --enable-default-toolkit=cairo-gtk2
-ac_add_options --disable-official-branding
-ac_add_options --with-branding=debian/branding
-ac_add_options --enable-pango
-ac_add_options --enable-svg
-ac_add_options --enable-mathml
-ac_add_options --disable-pedantic
-ac_add_options --disable-long-long-warning
-ac_add_options --disable-debug
-ac_add_options --enable-canvas
-ac_add_options --enable-extensions="default,-venkman,-inspector"
-ac_add_options --disable-elf-dynstr-gc
-ac_add_options --disable-strip
-ac_add_options --disable-install-strip
-ac_add_options --enable-crypto
-ac_add_options --disable-javaxpcom
+# Parabola features
+ac_add_options --disable-safe-browsing
diff --git a/libre/icecat/PKGBUILD b/libre/icecat/PKGBUILD
index 6898105d8..b589cbae5 100644
--- a/libre/icecat/PKGBUILD
+++ b/libre/icecat/PKGBUILD
@@ -10,56 +10,22 @@
# Contributor: evr <evanroman at gmail>
# Contributor: Muhammad 'MJ' Jassim <UnbreakableMJ@gmail.com>
-# If you are updating this package, don't forget to update the version number in
-# the value for 'browser.dictionaries.download.url' in 'libre.patch'
+_pgo=true
-_pgo=false
pkgname=icecat
pkgver=17.0.1
pkgrel=7
pkgdesc='GNU IceCat, the standalone web browser based on Mozilla Firefox.'
arch=(i686 x86_64 mips64el)
license=(MPL GPL LGPL)
-depends=(
- alsa-lib
- dbus-glib
- desktop-file-utils
- gtk2
- hicolor-icon-theme
- hunspell
- libevent
- libnotify
- libvpx
- libxt
- mime-types
- mozilla-common
- mozilla-searchplugins
- 'nss>=3.13.3'
- sqlite3
- startup-notification
-)
-makedepends=(
- autoconf2.13
- diffutils
- imagemagick
- libidl2
- librsvg
- libxslt
- mesa
- pkg-config
- python2
- unzip
- wireless_tools
- zip
-)
-optdepends=(
- 'wireless_tools: Location detection via available WiFi networks'
-)
+depends=(alsa-lib dbus-glib desktop-file-utils gtk2 hicolor-icon-theme hunspell libevent libnotify libvpx libxt mime-types mozilla-common mozilla-searchplugins nss sqlite startup-notification)
+makedepends=(autoconf2.13 diffutils imagemagick libidl2 librsvg libxslt mesa pkg-config python2 unzip zip)
+options=(!emptydirs)
if $_pgo; then
makedepends+=(xorg-server-xvfb)
- options=(!ccache)
+ options+=(!ccache)
fi
-options=(!emptydirs)
+optdepends=('networkmanager: Location detection via available WiFi networks')
url=http://www.gnu.org/software/gnuzilla/
install=$pkgname.install
source=(
@@ -76,8 +42,8 @@ source=(
)
md5sums=(
c88a29aa92fc41a07e777a0e63ac5f7e
- 2a35cf0054d0459993e3c3bae3d9841d
- dfeb4ab2c96aae3356a4c347eee0b97b
+ 855f11c20d38133d107cc3c6f48162a8
+ 383e8e2a97a8b13fe56d153adb6878b6
3009b176cc5f9b1e416b1bf7c45b064b
1dec37a964098fb3bc46bc767a5c0587
b41f82994fa056ffa5f8e6d99570e27a
@@ -87,18 +53,7 @@ md5sums=(
#c8552d030494443218d88792f4dbbd0f
)
-build() {
- # WebRTC build tries to execute "python" and expects Python 2
- # Workaround taken from chromium PKGBUILD on Archlinux
- mkdir "$srcdir/python2-path"
- ln -s /usr/bin/python2 "$srcdir/python2-path/python"
- export PATH="$srcdir/python2-path:$PATH"
-
- export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$pkgname"
- export PYTHON="/usr/bin/python2"
- export MOZ_MAKE_FLAGS="$MAKEFLAGS"
- unset MAKEFLAGS
-
+prepare() {
mv $pkgname-$pkgver $srcdir/gnuzilla-build
cd $srcdir/gnuzilla-build
@@ -107,6 +62,7 @@ build() {
if $_pgo; then
cat $srcdir/mozconfig.pgo >> .mozconfig
fi
+
patch -Np1 -i $srcdir/$pkgname-install-dir.patch # install to /usr/lib/$pkgname
patch -Np1 -i $srcdir/xulrunner-copy-stub.patch # small fix
patch -Np1 -i $srcdir/libre.patch # Remove Google+Mozilla stuff
@@ -116,10 +72,6 @@ build() {
sed -i 's/\(MOZ_PKG_FATAL_WARNINGS =\).*/\1 0/' \
browser/installer/Makefile.in
- # Fix PRE_RELEASE_SUFFIX
- sed -i '/^PRE_RELEASE_SUFFIX := ""/s/ ""//' \
- browser/base/Makefile.in
-
# This is a bug, we should fix it
if [ $CARCH = mips64el ]; then
# Fix MIPS N32 support.
@@ -136,12 +88,50 @@ build() {
chmod +x build/unix/run-icecat.sh # fix bug for bad file permition
+ # Fix PRE_RELEASE_SUFFIX
+ sed -i '/^PRE_RELEASE_SUFFIX := ""/s/ ""//' \
+ browser/base/Makefile.in
+
+ mkdir "$srcdir/path"
+
+ # WebRTC build tries to execute "python" and expects Python 2
+ ln -s /usr/bin/python2 "$srcdir/path/python"
+
+ # Use gold, as Mozilla can use some of its features, such as safe ICF
+ ln -s /usr/bin/ld.gold "$srcdir/path/ld"
+
+ # configure script misdetects the preprocessor without an optimization level
+ # https://bugs.archlinux.org/task/34644
+ sed -i '/ac_cpp=/s/$CPPFLAGS/& -O2/' configure
+}
+
+build() {
+ cd $srcdir/gnuzilla-build
+
+ export PATH="$srcdir/path:$PATH"
+ export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$pkgname"
+ export PYTHON="/usr/bin/python2"
+ export MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ unset MAKEFLAGS
+
if $_pgo; then
- LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 :99 &
- LD_PRELOAD="" DISPLAY=:99 make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS=$MAKEFLAGS
- kill $! || true
+ # Enable PGO for x86_64 and mips64el only. i686 currently has problems:
+ # Either segfaults since gcc 4.8, or the linker runs out of memory
+ # If you discover that PGO again works on i686, please file a bug
+ if [[ $CARCH != i686 ]]; then
+ export DISPLAY=:99
+ Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
+ _fail=0
+
+ make -f client.mk build MOZ_PGO=1 || _fail=1
+
+ kill $! || true
+ return $_fail
+ else
+ make -f client.mk build
+ fi
else
- LD_PRELOAD="" make -j1 -f client.mk build MOZ_MAKE_FLAGS=$MAKEFLAGS
+ make -f client.mk build
fi
}
diff --git a/libre/icecat/mozconfig b/libre/icecat/mozconfig
index 7b27e3c6a..75b61828a 100644
--- a/libre/icecat/mozconfig
+++ b/libre/icecat/mozconfig
@@ -4,9 +4,6 @@ ac_add_options --prefix=/usr
ac_add_options --libdir=/usr/lib
# IceCat
-export MOZ_PHOENIX=1
-mk_add_options MOZ_PHOENIX=1
-
ac_add_options --disable-official-branding
ac_add_options --with-branding=browser/branding/unofficial
ac_add_options --with-distribution-id=org.gnu.gnuzilla
diff --git a/libre/icecat/mozconfig.pgo b/libre/icecat/mozconfig.pgo
index 30464c38c..2f4ebe32b 100644
--- a/libre/icecat/mozconfig.pgo
+++ b/libre/icecat/mozconfig.pgo
@@ -1,5 +1,3 @@
# PGO
-ac_add_options --enable-profile-guided-optimization
-mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
-mk_add_options PYTHONPATH='$(OBJDIR)/_profile/pgo'
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py 10'
diff --git a/libre/icedove-l10n/PKGBUILD b/libre/icedove-l10n/PKGBUILD
index fd24630fe..5b102846c 100644
--- a/libre/icedove-l10n/PKGBUILD
+++ b/libre/icedove-l10n/PKGBUILD
@@ -11,10 +11,10 @@ pkgname=($(for lang in ${_langpacks[@]}
do echo $pkgbase-$lang | tr A-Z a-z
done))
-pkgrel=1
+pkgrel=2
pkgdesc="Language packs for Debian Icedove."
-arch=('i686' 'x86_64' 'mips64el')
-url="http://packages.debian.org/source/experimental/icedove"
+arch=('any')
+url="http://packages.debian.org/experimental/icedove"
license=('MPL' 'GPL')
depends=("icedove-libre>=$pkgver")
makedepends=('unzip' 'zip')
diff --git a/libre/icedove-libre/PKGBUILD b/libre/icedove-libre/PKGBUILD
index c727fb2ce..a6825ea97 100644
--- a/libre/icedove-libre/PKGBUILD
+++ b/libre/icedove-libre/PKGBUILD
@@ -11,11 +11,11 @@ debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
_pkgname=${_debname}
pkgname=${_debname}-libre
pkgver=${_debver}.${_debrel}
-pkgrel=1
+pkgrel=3
pkgdesc="A libre version of Debian Icedove, the standalone mail/news reader based on Mozilla Thunderbird."
arch=('i686' 'x86_64' 'mips64el')
license=('MPL' 'GPL' 'LGPL')
-url="http://packages.debian.org/source/experimental/${_pkgname}"
+url="http://packages.debian.org/experimental/${_pkgname}"
depends=('alsa-lib' 'dbus-glib' 'desktop-file-utils' 'gtk2' 'hicolor-icon-theme' 'hunspell' 'libevent' 'libnotify' 'libvpx' 'libxt' 'mime-types' 'mozilla-common' 'mozilla-searchplugins' 'nss' 'sqlite' 'startup-notification')
makedepends=('unzip-libre' 'zip' 'pkg-config' 'python2' 'wireless_tools' 'yasm' 'mesa' 'autoconf2.13' 'quilt')
optdepends=('libcanberra: for sound support')
@@ -35,7 +35,7 @@ source=("${_debrepo}/`debfile ${_debname}`_${_debver}.orig.tar.bz2"
options=(!emptydirs)
md5sums=('26ce85189f3b55cc2c97c57e18c1e2de'
'fafa558c1940a48c3f29de61dc27d737'
- 'd6d58d3104a44624e0a3d227cdf1c211'
+ '5cf95ea94f69cdd36604890cfbf7b954'
'476ec205162340fb0679f522c9d31c3b'
'4eecc4fc5aafaf0da651a09eadc90bee'
'c4ed43e85945e180a89cce03e45ec62c'
@@ -43,14 +43,12 @@ md5sums=('26ce85189f3b55cc2c97c57e18c1e2de'
'e785e0c267f4435ae1a9aa0b03bcacfb'
'ea5f7a06967f561d47d7e5c35b23de6f')
-build() {
- export LDFLAGS="${LDFLAGS} -Wl,--as-needed,-rpath,/usr/lib/${_pkgname}"
- export PYTHON="/usr/bin/python2"
+prepare() {
+ export DEBIAN_BUILD="comm-esr17"
export QUILT_PATCHES=debian/patches
export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
export QUILT_DIFF_ARGS='--no-timestamps'
- export DEBIAN_BUILD="comm-esr17"
mv debian "${srcdir}/${DEBIAN_BUILD}"
cd "${srcdir}/${DEBIAN_BUILD}"
@@ -65,7 +63,7 @@ build() {
install -Dm644 "debian/app-icons/${_pkgname}${i/x*/}.png" "${srcdir}/${DEBIAN_BUILD}/mail/branding/${_pkgname}/content/icon${i/x*/}.png"
done
- # This patch has a orthographic issue ("Icdove" instead of "Icedove") in MOZ_APP_BASENAME line for confvars.sh
+ # This patch has a orthographic issue ("Icdove" instead of "Icedove") in MOZ_APP_BASENAME line for confvars.sh.
rm -v debian/patches/debian-hacks/Icedove-branding.patch || true
quilt push -av
@@ -75,6 +73,18 @@ build() {
patch -Np1 -i "${srcdir}/Icedove-branding.patch" # debian patch fixed version
cp "${srcdir}/mozconfig" .mozconfig
+
+ # configure script misdetects the preprocessor without an optimization level
+ # https://bugs.archlinux.org/task/34644
+ sed -i '/ac_cpp=/s/$CPPFLAGS/& -O2/' configure
+}
+
+build() {
+ cd "${srcdir}/${DEBIAN_BUILD}"
+
+ export LDFLAGS="${LDFLAGS} -Wl,--as-needed,-rpath,/usr/lib/${_pkgname}"
+ export PYTHON="/usr/bin/python2"
+
make -j1 -f client.mk build MOZ_MAKE_FLAGS="${MAKEFLAGS}"
}
diff --git a/libre/icedove-libre/mozconfig b/libre/icedove-libre/mozconfig
index 58f8ce24f..4f90cb58a 100644
--- a/libre/icedove-libre/mozconfig
+++ b/libre/icedove-libre/mozconfig
@@ -4,6 +4,10 @@ ac_add_options --enable-application=mail
ac_add_options --prefix=/usr
ac_add_options --libdir=/usr/lib
+# Icedove
+ac_add_options --disable-official-branding
+ac_add_options --with-branding=mail/branding/icedove
+
# System libraries
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
@@ -16,7 +20,7 @@ ac_add_options --with-system-libvpx
ac_add_options --enable-system-hunspell
ac_add_options --enable-system-sqlite
ac_add_options --enable-system-ffi
-ac_add_options --enable-system-cairo
+#ac_add_options --enable-system-cairo
ac_add_options --enable-system-pixman
ac_add_options --with-pthreads
@@ -37,28 +41,5 @@ ac_add_options --enable-optimize
export MOZILLA_OFFICIAL=1
mk_add_options MOZILLA_OFFICIAL=1
-# Parabola
-export BUILD_OFFICIAL=1
-mk_add_options BUILD_OFFICIAL=1
-
-# Debian
-export MAIL_PKG_SHARED=1
-mk_add_options MAIL_PKG_SHARED=1
-ac_add_options --disable-official-branding
-ac_add_options --with-branding=mail/branding/icedove
-ac_add_options --enable-extensions=default
-ac_add_options --with-default-mozilla-five-home=/usr/lib/icedove
-ac_add_options --disable-javaxpcom
-ac_add_options --disable-elf-dynstr-gc
-ac_add_options --disable-strip
-ac_add_options --disable-strip-libs
-ac_add_options --disable-install-strip
-ac_add_options --enable-pango
-ac_add_options --enable-xft
-ac_add_options --enable-xinerama
-ac_add_options --enable-svg
-ac_add_options --enable-svg-renderer=cairo
-ac_add_options --enable-canvas
-ac_add_options --enable-crypto
-ac_add_options --enable-shared-js
-ac_add_options --enable-readline
+# Parabola features
+ac_add_options --disable-safe-browsing
diff --git a/libre/iceweasel-l10n/PKGBUILD b/libre/iceweasel-l10n/PKGBUILD
index af600985c..625995ecd 100644
--- a/libre/iceweasel-l10n/PKGBUILD
+++ b/libre/iceweasel-l10n/PKGBUILD
@@ -23,11 +23,11 @@ pkgname=($(for lang in ${_langpacks[@]}
do echo $pkgbase-$lang | tr A-Z a-z
done))
pkgver=$_debver.$_debrel
-pkgrel=1
+pkgrel=2
pkgdesc="Language packs for Debian Iceweasel."
arch=('any')
-url="http://www.geticeweasel.org/"
+url="http://packages.debian.org/experimental/iceweasel"
license=('MPL' 'GPL')
depends=("iceweasel-libre>=$pkgver")
makedepends=('unzip' 'zip')
@@ -66,9 +66,9 @@ for lang in ${_langpacks[@]}
do
eval "
package_iceweasel-l10n-$(echo $lang | tr A-Z a-z)() {
- replaces=(iceweasel-i18n-$(echo $lang | tr A-Z a-z) iceweasel-libre-l10n-$(echo $lang | tr A-Z a-z))
- conflicts=(iceweasel-i18n-$(echo $lang | tr A-Z a-z) iceweasel-libre-l10n-$(echo $lang | tr A-Z a-z))
- provides=(iceweasel-i18n-$(echo $lang | tr A-Z a-z) iceweasel-libre-l10n-$(echo $lang | tr A-Z a-z) firefox-i18n-$(echo $lang | tr A-Z a-z))
+ replaces=(firefox-i18n-$(echo $lang | tr A-Z a-z) iceweasel-i18n-$(echo $lang | tr A-Z a-z) iceweasel-libre-l10n-$(echo $lang | tr A-Z a-z))
+ conflicts=(firefox-i18n-$(echo $lang | tr A-Z a-z) iceweasel-i18n-$(echo $lang | tr A-Z a-z) iceweasel-libre-l10n-$(echo $lang | tr A-Z a-z))
+ provides=(firefox-i18n-$(echo $lang | tr A-Z a-z) iceweasel-i18n-$(echo $lang | tr A-Z a-z) iceweasel-libre-l10n-$(echo $lang | tr A-Z a-z))
install -Dm644 \"\$srcdir$_path/langpack-$lang@iceweasel.mozilla.org.xpi\" \"\$pkgdir$_path/langpack-$lang@iceweasel.mozilla.org.xpi\"
}
"
diff --git a/libre/iceweasel-libre/PKGBUILD b/libre/iceweasel-libre/PKGBUILD
index 6dc52a213..7a8d85ff0 100644
--- a/libre/iceweasel-libre/PKGBUILD
+++ b/libre/iceweasel-libre/PKGBUILD
@@ -14,7 +14,7 @@ _pgo=true
# We're getting this from Debian Experimental
_debname=iceweasel
-_debver=20.0
+_debver=20.0.1
_debrel=1
_debrepo=http://ftp.debian.org/debian/pool/main/
debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
@@ -25,19 +25,21 @@ pkgver=$_debver.$_debrel
pkgrel=1
pkgdesc="A libre version of Debian Iceweasel, the standalone web browser based on Mozilla Firefox."
-arch=('i686' 'x86_64' 'mips64el')
-license=('MPL' 'GPL' 'LGPL')
-depends=('alsa-lib' 'dbus-glib' 'desktop-file-utils' 'gtk2' 'hicolor-icon-theme' 'hunspell' 'libevent' 'libnotify' 'libvpx' 'libxt' 'mime-types' 'mozilla-common' 'mozilla-searchplugins' 'nss>=3.14.1' 'sqlite3' 'startup-notification')
-makedepends=( 'autoconf2.13' 'diffutils' 'imagemagick' 'libidl2' 'librsvg' 'libxslt' 'mesa' 'pkg-config' 'python2' 'quilt' 'unzip' 'zip')
+arch=(i686 x86_64 mips64el)
+license=(MPL GPL LGPL)
+depends=(alsa-lib dbus-glib desktop-file-utils gtk2 hicolor-icon-theme hunspell libevent libnotify libvpx libxt mime-types mozilla-common mozilla-searchplugins nss sqlite startup-notification)
+makedepends=(autoconf2.13 diffutils imagemagick libidl2 librsvg libxslt mesa pkg-config python2 quilt unzip zip)
[ "$CARCH" != "mips64el" ] && makedepends+=('yasm')
+options=(!emptydirs)
if $_pgo; then
- makedepends+=('xorg-server-xvfb')
- options=(!ccache)
+ makedepends+=(xorg-server-xvfb)
+ options+=(!ccache)
fi
-
optdepends=('networkmanager: Location detection via available WiFi networks')
-url="http://www.geticeweasel.org/"
+url="http://packages.debian.org/experimental/${_pkgname}"
install=iceweasel.install
+replaces=('firefox')
+conflicts=('firefox')
provides=('firefox')
source=("$_debrepo/`debfile $_debname`_$_debver.orig.tar.bz2"
"$_debrepo/`debfile $_debname`_$_debver-$_debrel.debian.tar.gz"
@@ -53,7 +55,7 @@ source=("$_debrepo/`debfile $_debname`_$_debver.orig.tar.bz2"
md5sums=('22daa24b6490c654f131550cbf20fad3'
'0c70ab52f35701558081df3d360361a2'
'f90c6a70d0a6d0a9e7f9a0eed6aeffd3'
- 'dfeb4ab2c96aae3356a4c347eee0b97b'
+ '383e8e2a97a8b13fe56d153adb6878b6'
'5addd418bf32b673fdfe80c8fefbea1a'
'7b9e5996dd9fe0b186a43a297db1c6b5'
'abf5ecb74caa857abb42bcfbb3442d9c'
@@ -62,20 +64,12 @@ md5sums=('22daa24b6490c654f131550cbf20fad3'
'a8fc4658d45b6bf9350023e5c3f34e56'
'd0e1f2625cd9f7234abdeb55aee00529')
-build() {
- # WebRTC build tries to execute "python" and expects Python 2
- # Workaround taken from chromium PKGBUILD on Archlinux
- mkdir "$srcdir/python2-path"
- ln -s /usr/bin/python2 "$srcdir/python2-path/python"
- export PATH="$srcdir/python2-path:$PATH"
-
- export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$_pkgname"
- export PYTHON="/usr/bin/python2"
+prepare() {
+ export DEBIAN_BUILD="mozilla-release"
export QUILT_PATCHES=debian/patches
export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
export QUILT_DIFF_ARGS='--no-timestamps'
- export DEBIAN_BUILD="mozilla-release"
mv debian "$srcdir/$DEBIAN_BUILD"
cd "$srcdir/$DEBIAN_BUILD"
@@ -123,10 +117,6 @@ build() {
echo "ac_add_options --disable-tracejit" >> .mozconfig
fi
- # Fix PRE_RELEASE_SUFFIX
- sed -i '/^PRE_RELEASE_SUFFIX := ""/s/ ""//' \
- browser/base/Makefile.in
-
# This is a bug, we should fix it
if [ "$CARCH" = "mips64el" ]; then
# Fix MIPS N32 support.
@@ -141,12 +131,50 @@ build() {
echo 'ac_add_options --disable-jemalloc' >> .mozconfig
fi
+ # Fix PRE_RELEASE_SUFFIX
+ sed -i '/^PRE_RELEASE_SUFFIX := ""/s/ ""//' \
+ browser/base/Makefile.in
+
+ mkdir "$srcdir/path"
+
+ # WebRTC build tries to execute "python" and expects Python 2
+ ln -s /usr/bin/python2 "$srcdir/path/python"
+
+ # Use gold, as Mozilla can use some of its features, such as safe ICF
+ ln -s /usr/bin/ld.gold "$srcdir/path/ld"
+
+ # configure script misdetects the preprocessor without an optimization level
+ # https://bugs.archlinux.org/task/34644
+ sed -i '/ac_cpp=/s/$CPPFLAGS/& -O2/' configure
+}
+
+build() {
+ cd "$srcdir/$DEBIAN_BUILD"
+
+ export PATH="$srcdir/path:$PATH"
+ export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$_pkgname"
+ export PYTHON="/usr/bin/python2"
+ export MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ unset MAKEFLAGS
+
if $_pgo; then
- LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 :99 &
- LD_PRELOAD="" DISPLAY=:99 make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS="$MAKEFLAGS"
- kill $! || true
+ # Enable PGO for x86_64 and mips64el only. i686 currently has problems:
+ # Either segfaults since gcc 4.8, or the linker runs out of memory
+ # If you discover that PGO again works on i686, please file a bug
+ if [[ $CARCH != i686 ]]; then
+ export DISPLAY=:99
+ Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
+ _fail=0
+
+ make -f client.mk build MOZ_PGO=1 || _fail=1
+
+ kill $! || true
+ return $_fail
+ else
+ make -f client.mk build
+ fi
else
- LD_PRELOAD="" make -j1 -f client.mk build MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ make -f client.mk build
fi
}
diff --git a/libre/iceweasel-libre/mozconfig.pgo b/libre/iceweasel-libre/mozconfig.pgo
index 30464c38c..2f4ebe32b 100644
--- a/libre/iceweasel-libre/mozconfig.pgo
+++ b/libre/iceweasel-libre/mozconfig.pgo
@@ -1,5 +1,3 @@
# PGO
-ac_add_options --enable-profile-guided-optimization
-mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
-mk_add_options PYTHONPATH='$(OBJDIR)/_profile/pgo'
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py 10'
diff --git a/libre/kdepim-libre/PKGBUILD b/libre/kdepim-libre/PKGBUILD
index 75d81567f..07fa48b1a 100644
--- a/libre/kdepim-libre/PKGBUILD
+++ b/libre/kdepim-libre/PKGBUILD
@@ -23,7 +23,7 @@ pkgname=('kdepim-akonadiconsole-libre'
'kdepim-ktnef-libre'
'kdepim-libkdepim-libre')
pkgver=4.10.2
-pkgrel=1
+pkgrel=2
arch=('i686' 'x86_64' 'mips64el')
url='http://pim.kde.org'
license=('GPL' 'LGPL' 'FDL')
@@ -31,12 +31,15 @@ groups=('kde' 'kdepim-libre')
makedepends=('cmake' 'automoc4' 'boost' 'kdepim-runtime' 'libxss'
'kde-agent' 'nepomuk-widgets')
source=("http://download.kde.org/stable/${pkgver}/src/${_pkgbase}-${pkgver}.tar.xz"
- "kleopatra-build-fix.patch::http://bugsfiles.kde.org/attachment.cgi?id=78592")
+ "kleopatra-build-fix.patch::http://bugsfiles.kde.org/attachment.cgi?id=78592"
+ 'fix-completion.patch')
sha1sums=('61b74cb3bf541040e09252d4dcfaea8a876a2859'
- '61a7e31e7daee3358c442d3ac5f74171b45ae2c9')
+ '61a7e31e7daee3358c442d3ac5f74171b45ae2c9'
+ '92a44c7b1697de519b09265a3b68e7d73d4c024e')
build() {
patch -Np1 -d ${_pkgbase}-${pkgver} < ${srcdir}/kleopatra-build-fix.patch
+ patch -Np1 -d ${_pkgbase}-${pkgver} < ${srcdir}/fix-completion.patch
mkdir build
cd build
diff --git a/libre/kdepim-libre/fix-completion.patch b/libre/kdepim-libre/fix-completion.patch
new file mode 100644
index 000000000..c2edefe00
--- /dev/null
+++ b/libre/kdepim-libre/fix-completion.patch
@@ -0,0 +1,182 @@
+commit 6a06c57f52a00018d607085efa7570deb91dc707
+Author: David Faure <faure@kde.org>
+Date: Mon Apr 8 17:41:39 2013 +0200
+
+ Fix kmail autocompletion from akonadi.
+
+ My commit 02f5f0214e made autocompletion from nepomuk work better, but broke
+ completion from akonadi. I kept the "keywords" based code, but now it's only
+ used for the special case of nickname-based search (because the nickname shouldn't
+ appear in the completion item). For everything else it really doesn't make sense
+ to have a search engine (akonadi/nepomuk) on top of a search engine
+ (the one inside KCompletion).
+
+ This time I verified that:
+ * nepomuk search still works
+ * contacts from akonadi work again
+ * contact groups from akonadi work (after previous commit)
+ * nickname-search in akonadi still doesn't work, but it didn't before. More work
+ needed for that one. This is the only reason to keep KMailCompletion around btw,
+ everything else would work without it.
+
+ BUG: 259949
+ FIXED-IN: 4.10.3
+
+diff --git a/libkdepim/addresseelineedit.cpp b/libkdepim/addresseelineedit.cpp
+index b7b11be..ec4caf9 100644
+--- a/libkdepim/addresseelineedit.cpp
++++ b/libkdepim/addresseelineedit.cpp
+@@ -30,6 +30,8 @@
+ #include "completionordereditor.h"
+ #endif
+
++#include "kmailcompletion.h"
++
+ #include <Akonadi/Contact/ContactSearchJob>
+ #include <Akonadi/Contact/ContactGroupSearchJob>
+ #include <Akonadi/CollectionFetchJob>
+@@ -77,6 +79,10 @@
+
+ using namespace KPIM;
+
++namespace KPIM {
++ typedef QMap< QString, QPair<int,int> > CompletionItemsMap;
++}
++
+ class AddresseeLineEditStatic
+ {
+ public:
+@@ -496,11 +502,9 @@ void AddresseeLineEdit::Private::addCompletionItem( const QString &string, int w
+ s_static->completionItemMap.insert( string, qMakePair( weight, completionItemSource ) );
+ }
+
+- if ( keyWords == 0 ) {
+- s_static->completion->addItem( string, weight );
+- } else {
+- s_static->completion->addItemWithKeys( string, weight, keyWords );
+- }
++ s_static->completion->addItem(string, weight);
++ if (keyWords && !keyWords->isEmpty())
++ s_static->completion->addItemWithKeys(string, weight, keyWords); // see kmailcompletion.cpp
+ }
+
+ const QStringList KPIM::AddresseeLineEdit::Private::adjustedCompletionItems( bool fullSearch )
+@@ -1348,17 +1352,13 @@ void AddresseeLineEdit::addItem( const Akonadi::Item &item, int weight, int sour
+ void AddresseeLineEdit::addContactGroup( const KABC::ContactGroup &group, int weight, int source )
+ {
+ d->addCompletionItem( group.name(), weight, source );
+- QStringList keyWords;
+- keyWords.append( group.name() );
+- d->addCompletionItem( group.name(), weight, source, &keyWords );
+ }
+
+ void AddresseeLineEdit::addContact( const KABC::Addressee &addr, int weight, int source )
+ {
+ const QStringList emails = addr.emails();
+ QStringList::ConstIterator it;
+- const int prefEmailWeight = 1; //increment weight by prefEmailWeight
+- int isPrefEmail = prefEmailWeight; //first in list is preferredEmail
++ int isPrefEmail = 1; //first in list is preferredEmail
+ QStringList::ConstIterator end( emails.constEnd() );
+ for ( it = emails.constBegin(); it != end; ++it ) {
+ //TODO: highlight preferredEmail
+@@ -1368,40 +1368,6 @@ void AddresseeLineEdit::addContact( const KABC::Addressee &addr, int weight, int
+ const QString nickName = addr.nickName();
+ QString fullEmail = addr.fullEmail( email );
+
+- // Prepare keywords (for CompletionShell, CompletionPopup)
+- QStringList keyWords;
+- const QString realName = addr.realName();
+-
+- if ( !givenName.isEmpty() && !familyName.isEmpty() ) {
+- keyWords.append( givenName + QLatin1Char( ' ' ) + familyName );
+- keyWords.append( familyName + QLatin1Char( ' ' ) + givenName );
+- keyWords.append( familyName + QLatin1String( ", " ) + givenName );
+- } else if ( !givenName.isEmpty() ) {
+- keyWords.append( givenName );
+- } else if ( !familyName.isEmpty() ) {
+- keyWords.append( familyName );
+- }
+-
+- if ( !nickName.isEmpty() ) {
+- keyWords.append( nickName );
+- }
+-
+- if ( !realName.isEmpty() ) {
+- keyWords.append( realName );
+- }
+-
+- keyWords.append( email );
+-
+- /* KMailCompletion does not have knowledge about identities, it stores emails and
+- * keywords for each email. KMailCompletion::allMatches does a lookup on the
+- * keywords and returns an ordered list of emails. In order to get the preferred
+- * email before others for each identity we use this little trick.
+- * We remove the <blank> in adjustedCompletionItems.
+- */
+- if ( isPrefEmail == prefEmailWeight ) {
+- fullEmail.replace( QLatin1String( " <" ), QLatin1String( " <" ) );
+- }
+-
+ // Prepare "givenName" + ' ' + "familyName"
+ QString fullName = givenName;
+ if (!familyName.isEmpty()) {
+@@ -1413,12 +1379,16 @@ void AddresseeLineEdit::addContact( const KABC::Addressee &addr, int weight, int
+ // Finally, we can add the completion items
+ if (!fullName.isEmpty()) {
+ const QString address = KPIMUtils::normalizedAddress(fullName, email, QString());
+- d->addCompletionItem(address, weight + isPrefEmail, source, &keyWords);
++ if (fullEmail != address) {
++ // This happens when fullEmail contains a middle name, while our own fullName+email only has "first last".
++ // Let's offer both, the fullEmail with 3 parts, looks a tad formal.
++ d->addCompletionItem(address, weight + isPrefEmail, source);
++ }
+ }
+
+- if ( !nickName.isEmpty() ) {
+- const QString address = KPIMUtils::normalizedAddress(nickName, email, QString());
+- d->addCompletionItem(address, weight + isPrefEmail, source, &keyWords);
++ QStringList keyWords;
++ if (!nickName.isEmpty()) {
++ keyWords.append(nickName);
+ }
+
+ d->addCompletionItem( fullEmail, weight + isPrefEmail, source, &keyWords );
+diff --git a/libkdepim/addresseelineedit.h b/libkdepim/addresseelineedit.h
+index 4e6784b..b2af4a9 100644
+--- a/libkdepim/addresseelineedit.h
++++ b/libkdepim/addresseelineedit.h
+@@ -27,7 +27,6 @@
+ #ifndef KDEPIM_ADDRESSEELINEEDIT_H
+ #define KDEPIM_ADDRESSEELINEEDIT_H
+
+-#include "kmailcompletion.h"
+ #include "kdepim_export.h"
+
+ #include "ldap/ldapclient.h"
+@@ -50,10 +49,6 @@ namespace KABC {
+ class ContactGroup;
+ }
+
+-namespace KPIM {
+- typedef QMap< QString, QPair<int,int> > CompletionItemsMap;
+-}
+-
+ namespace Nepomuk2 {
+ namespace Query {
+ class Result;
+diff --git a/libkdepim/kmailcompletion.h b/libkdepim/kmailcompletion.h
+index e8574cc..93771d3 100644
+--- a/libkdepim/kmailcompletion.h
++++ b/libkdepim/kmailcompletion.h
+@@ -32,7 +32,9 @@ namespace KPIM {
+
+ /**
+ * KMailCompletion allows lookup of email addresses by keyword.
+- * Typically a keywods would be firstname, lastname, nickname or domain.
++ * This is used for lookup by nickname, since we don't want the nickname to appear in the final email.
++ * E.g. you have a nickname "idiot" for your boss, you want to type "idiot" but you want the completion
++ * to offer "Full Name <email@domain>", without the nickname being visible.
+ */
+ class KMailCompletion : public KCompletion
+ {
diff --git a/libre/luxrender-libre/PKGBUILD b/libre/luxrender-libre/PKGBUILD
index 1d4dd0702..15bc771ed 100644
--- a/libre/luxrender-libre/PKGBUILD
+++ b/libre/luxrender-libre/PKGBUILD
@@ -8,7 +8,7 @@ _pkgflag=libre
pkgver=1.2.1
_pkgver=3066b2161439
pkgrel=1
-pkgdesc="Rendering system for physically correct, unbiased image synthesis, without nonfree OpenCL recommendations"
+pkgdesc="Rendering system for physically correct, unbiased image synthesis, without nonfree OpenCL recommendation"
arch=('i686' 'x86_64' 'mips64el')
url="http://www.${pkgname%-$_pkgflag}.net/"
license=('GPL')